summaryrefslogtreecommitdiff
path: root/infrastructure/mingw/environment.sh
diff options
context:
space:
mode:
Diffstat (limited to 'infrastructure/mingw/environment.sh')
-rw-r--r--infrastructure/mingw/environment.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/infrastructure/mingw/environment.sh b/infrastructure/mingw/environment.sh
new file mode 100644
index 00000000..1f2f14c2
--- /dev/null
+++ b/infrastructure/mingw/environment.sh
@@ -0,0 +1,11 @@
+case "`uname -m`" in
+x86_64)
+ DEP_PATH=/usr/x86_64-w64-mingw32
+ target=x86_64-w64-mingw32 ;;
+i686)
+ DEP_PATH=/usr/i686-pc-mingw32
+ target=i686-pc-mingw32 ;;
+*)
+ echo "Error: unknown machine type `uname -m`" >&2; exit 1 ;;
+esac
+